Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class RowPosition

    java.lang.Object
      org.apache.cassandra.db.RowPosition

All Implemented Interfaces:
  java.lang.Comparable<RowPosition>, RingPosition<RowPosition>

Direct Known Subclasses:
  DecoratedKey, Token.KeyBound

    public abstract class RowPosition

extends java.lang.Object
implements RingPosition<RowPosition>

Nested Class Summary
`static class` | `RowPosition.Kind`
`static class` | `RowPosition.RowPositionSerializer`

Constructor Summary
`RowPosition()`

Method Summary
`static RowPosition` | `forKey(java.nio.ByteBuffer key, IPartitioner p)`
`abstract Token` | `getToken()`
`boolean` | `isMinimum()`
`abstract RowPosition.Kind` | `kind()`
`static RowPosition.RowPositionSerializer` | `serializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.cassandra.dht.RingPosition
`isMinimum`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### RowPosition

    public RowPosition()

Method Detail

### serializer

    public static RowPosition.RowPositionSerializer serializer()

### forKey

    public static RowPosition forKey(java.nio.ByteBuffer key,
                                     IPartitioner p)

### getToken

    public abstract Token getToken()

  Specified by:
    `getToken` in interface `RingPosition<RowPosition>`

### kind

    public abstract RowPosition.Kind kind()

### isMinimum

    public boolean isMinimum()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation